0

Does anyone know what it means that whenever I try background mining either with the wallet or daemon my monero crashes?

To be clear I am using pymonero and am getting the following error when running functional_tests.

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 665, in urlopen
    httplib_response = self._make_request(
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 421, in _make_request
    six.raise_from(e, None)
  File "<string>", line 3, in raise_from
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 416, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/lib/python3.8/http/client.py", line 1347, in getresponse
    response.begin()
  File "/usr/lib/python3.8/http/client.py", line 307, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.8/http/client.py", line 276, in _read_status
    raise RemoteDisconnected("Remote end closed connection without"
http.client.RemoteDisconnected: Remote end closed connection without response

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/requests/adapters.py", line 439, in send
    resp = conn.urlopen(
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 719, in urlopen
    retries = retries.increment(
  File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 400, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/usr/lib/python3/dist-packages/six.py", line 702, in reraise
    raise value.with_traceback(tb)
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 665, in urlopen
    httplib_response = self._make_request(
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 421, in _make_request
    six.raise_from(e, None)
  File "<string>", line 3, in raise_from
  File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 416, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/lib/python3.8/http/client.py", line 1347, in getresponse
    response.begin()
  File "/usr/lib/python3.8/http/client.py", line 307, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.8/http/client.py", line 276, in _read_status
    raise RemoteDisconnected("Remote end closed connection without"
urllib3.exceptions.ProtocolError: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/andrew/denarii/tests/functional_tests/mining.py", line 299, in <module>
    MiningTest().run_test()
  File "/home/andrew/denarii/tests/functional_tests/mining.py", line 50, in run_test
    self.mine(True)
  File "/home/andrew/denarii/tests/functional_tests/mining.py", line 143, in mine
    res = daemon.stop_mining()
  File "/home/andrew/denarii/utils/python-rpc/framework/daemon.py", line 219, in stop_mining
    return self.rpc.send_request('/stop_mining', stop_mining)
  File "/home/andrew/denarii/utils/python-rpc/framework/rpc.py", line 66, in send_request
    res = requests.post(
  File "/usr/lib/python3/dist-packages/requests/api.py", line 116, in post
    return request('post', url, data=data, json=json, **kwargs)
  File "/usr/lib/python3/dist-packages/requests/api.py", line 60, in request
    return session.request(method=method, url=url, **kwargs)
  File "/usr/lib/python3/dist-packages/requests/sessions.py", line 533, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/lib/python3/dist-packages/requests/sessions.py", line 646, in send
    r = adapter.send(request, **kwargs)
  File "/usr/lib/python3/dist-packages/requests/adapters.py", line 498, in send
    raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response'))
[TEST FAILED] mining
Stopping servers...
Done, 1/1 tests failed: mining

Process finished with exit code 1

More info: it happens when trying to interrupt the background mining thread...

Daemon logs

[0m[0;32m2020-12-19 22:34:30.306    D [0;32m/get_transaction_pool_hashes.bin processed with 0/0/0ms
[0m[0;32m2020-12-19 22:34:30.306    D [0;32mdo_send_chunk() NOW SENSD: packet=240 B
[0m[0;36m2020-12-19 22:34:30.307    I [0;36mHTTP [127.0.0.1] POST /getblocks.bin
[0m[0;36m2020-12-19 22:34:30.308    I [0;36m[127.0.0.1:37342 INC] calling /getblocks.bin
[0m[0;32m2020-12-19 22:34:30.309    D [0;32mon_get_blocks: 13 blocks, 0 txes, size 1813
[0m[0;32m2020-12-19 22:34:30.309    D [0;32m/getblocks.bin() processed with 0/2/0ms
[0m[0;32m2020-12-19 22:34:30.309    D [0;32mdo_send_chunk() NOW SENSD: packet=2793 B
[0m[0;32m2020-12-19 22:34:30.323    D [0;32mhandle_accept
[0m[0;32m2020-12-19 22:34:30.323    D [0;32mNew server for RPC connections, SSL disabled
[0m[0;32m2020-12-19 22:34:30.323    D [0;32mset m_connection_type = RPC 
[0m[0;32m2020-12-19 22:34:30.324    D [0;32mSpawned connection #16 to 0.0.0.0 currently we have sockets count:3
[0m[0;32m2020-12-19 22:34:30.324    D [0;32mtest, connection constructor set m_connection_type=1
[0m[0;32m2020-12-19 22:34:30.324    D [0;32m connection type RPC 127.0.0.1:18180 <--> 127.0.0.1:37346 (via 127.0.0.1:37346)
[0m[0;36m2020-12-19 22:34:30.324    I [0;36mHTTP [127.0.0.1] POST /start_mining
[0m[0;36m2020-12-19 22:34:30.324    I [0;36m[127.0.0.1:37346 INC] calling /start_mining
[0m[0;36m2020-12-19 22:34:30.324    I [0;36m36
[0m[0;36m2020-12-19 22:34:30.324    I [0;36mAddress
[0m[0;32m2020-12-19 22:34:30.324    D [0;32mUsing cached template
[0m[0;36m2020-12-19 22:34:30.324    I [0;36mMining has started with 0 threads, good luck!
[0m[0;33m2020-12-19 22:34:30.324    W [0;33mBackground mining controller thread started
[0m[0;32m2020-12-19 22:34:30.324    D [0;32m/start_mining processed with 0/1/0ms
[0m[0;32m2020-12-19 22:34:30.324    D [0;32mdo_send_chunk() NOW SENSD: packet=204 B
[0m[0;32m2020-12-19 22:34:30.325    D [0;32mDestructing connection #15 to 0.0.0.0
[0m[0;32m2020-12-19 22:34:30.325    D [0;32mhandle_accept
[0m[0;32m2020-12-19 22:34:30.325    D [0;32mNew server for RPC connections, SSL disabled
[0m[0;32m2020-12-19 22:34:30.325    D [0;32mset m_connection_type = RPC 
[0m[0;32m2020-12-19 22:34:30.325    D [0;32mSpawned connection #17 to 0.0.0.0 currently we have sockets count:3
[0m[0;32m2020-12-19 22:34:30.326    D [0;32mtest, connection constructor set m_connection_type=1
[0m[0;32m2020-12-19 22:34:30.326    D [0;32m connection type RPC 127.0.0.1:18180 <--> 127.0.0.1:37348 (via 127.0.0.1:37348)
[0m[0;36m2020-12-19 22:34:30.326    I [0;36mHTTP [127.0.0.1] POST /mining_status
[0m[0;36m2020-12-19 22:34:30.326    I [0;36m[127.0.0.1:37348 INC] calling /mining_status
[0m[0;32m2020-12-19 22:34:30.326    D [0;32m/mining_status processed with 0/0/0ms
[0m[0;32m2020-12-19 22:34:30.326    D [0;32mdo_send_chunk() NOW SENSD: packet=692 B
[0m[0;32m2020-12-19 22:34:30.327    D [0;32mDestructing connection #16 to 0.0.0.0
[0m[0;32m2020-12-19 22:34:30.328    D [0;32mhandle_accept
[0m[0;32m2020-12-19 22:34:30.328    D [0;32mNew server for RPC connections, SSL disabled
[0m[0;32m2020-12-19 22:34:30.328    D [0;32mset m_connection_type = RPC 
[0m[0;32m2020-12-19 22:34:30.328    D [0;32mSpawned connection #18 to 0.0.0.0 currently we have sockets count:3
[0m[0;32m2020-12-19 22:34:30.328    D [0;32mtest, connection constructor set m_connection_type=1
[0m[0;32m2020-12-19 22:34:30.328    D [0;32m connection type RPC 127.0.0.1:18180 <--> 127.0.0.1:37350 (via 127.0.0.1:37350)
[0m[0;36m2020-12-19 22:34:30.328    I [0;36mHTTP [127.0.0.1] POST /stop_mining
[0m[0;36m2020-12-19 22:34:30.328    I [0;36m[127.0.0.1:37350 INC] calling /stop_mining
[0m[0;36m2020-12-19 22:34:30.328    I [0;36mMiner has received stop signal
[0m[0;32m2020-12-19 22:34:30.328    D [0;32m1
[0m
9
  • You say "my monero crashes" but then proceed to show a pymonero functional test failing. It's not obvious if you are asking why the test is failing or if your monero wallet / daemon are actually crashing (for which none of the output in the question points to). – jtgrassie Dec 18 '20 at 23:24
  • Sorry I meant why is the daemon crashing when I run this test. Only for background mining though. I converted monero to bazel so I am guessing it is because of the version of boost I used to do this. – Keiros Dec 19 '20 at 16:20
  • "I meant why is the daemon crashing" <- the logs in the question are not showing "the daemon crashing", they are showing a connection error from pymonero to the daemon whilst running a test. – jtgrassie Dec 19 '20 at 16:43
  • I thought the daemon is crashing though. The monerod logs show it stopping suddenly after receiving the interrupt signal. That is how I interpreted what was happening. That is why they couldn't connect in my mind. So is it just a more general error than what I thought? – Keiros Dec 19 '20 at 16:45
  • What you have posted shows pymonero trying to call /stop_mining and that request is failing (and that is likely an error in the library or your config. If the daemon is actually crashing, why not show the daemon logs instead of the logs for a test failing? Also, "after receiving the interrupt signal" are you actually sending a signal or using the library to stop mining? These are very different things. – jtgrassie Dec 19 '20 at 16:53

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.